Bug 1024564 - Packstack fails if installing Nova is disabled
Packstack fails if installing Nova is disabled
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity urgent
: z6
: 3.0
Assigned To: Ivan Chavero
Ami Jeain
: Regression, TestBlocker, ZStream
: 993264 (view as bug list)
Depends On:
Blocks: 1026795
  Show dependency treegraph
 
Reported: 2013-10-29 20:25 EDT by Martina Kollarova
Modified: 2014-10-06 20:16 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1026795 (view as bug list)
Environment:
Last Closed: 2014-08-01 08:52:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
openstack-setup.log (4.27 KB, text/x-log)
2013-10-29 20:25 EDT, Martina Kollarova
no flags Details
packstack.answer (11.07 KB, text/plain)
2013-10-29 20:34 EDT, Martina Kollarova
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 52266 None None None Never
OpenStack gerrit 68426 None None None Never

  None (edit)
Description Martina Kollarova 2013-10-29 20:25:12 EDT
Description of problem:
I'm installing only Swift and Keystone using Packstack. Packstack fails with

 ERROR : 'CONFIG_NOVA_COMPUTE_HOSTS

This is probably a regression, it didn't happen a few weeks back when I was running it on RHOS3 the same way (I have a script for it). The same error happens if I use an answer file or CLI options (see below).

The problem went away when I allowed the Nova install (and Glance).

Version-Release number of selected component (if applicable):
openstack-packstack-2013.1.1-0.33.dev695.el6ost.noarch

How reproducible:
always

Steps to Reproduce:
1. Try setting "CONFIG_NOVA_INSTALL" to "n", install just something basic like Swift
2. Run packstack
3.

Actual results:
Welcome to Installer setup utility
 
 Installing:
 Clean Up...                                            [ DONE ]
 OS support check...                                    [ DONE ]
 Adding pre install manifest entries...                 [ DONE ]
 Setting up ssh keys...                                 [ DONE ]
 Adding MySQL manifest entries...                       [ DONE ]
 Adding Keystone manifest entries...                    [ DONE ]
 Adding OpenStack Client manifest entries...            [ DONE ]
 Adding Swift Keystone manifest entries...              [ DONE ]
 Adding Swift builder manifest entries...               [ DONE ]
 Adding Swift proxy manifest entries...                 [ DONE ]
 Adding Swift storage manifest entries...            [ ERROR ]
 
 ERROR : 'CONFIG_NOVA_COMPUTE_HOSTS

Expected results:
Swift and Keystone installed only, without Nova.

Additional info:
This was the command with which I was installing it:

packstack --os-swift-install=y --os-swift-storage-zones=1 --os-swift-storage-fstype=ext4 --os-swift-storage=192.168.0.X/vdb1,192.168.0.X/vdb2,192.168.0.X/vdb3,192.168.0.Y/vdb1,192.168.0.Y/vdb2,192.168.0.Y/vdb3 --os-nova-install=n --os-client-install=y --keystone-host=192.168.0.Z --os-horizon-install=n --os-cinder-install=n --install-hosts=192.168.0.X,192.168.0.Y,192.168.0.Z --os-swift-storage-replicas=3 --os-swift-proxy=192.168.0.Z --os-glance-install=n --os-quantum-install=n
Comment 1 Martina Kollarova 2013-10-29 20:25:52 EDT
Created attachment 817204 [details]
openstack-setup.log
Comment 3 Martina Kollarova 2013-10-29 20:34:56 EDT
Created attachment 817206 [details]
packstack.answer
Comment 4 Alvaro Lopez Ortega 2013-11-13 14:14:05 EST
*** Bug 993264 has been marked as a duplicate of this bug. ***
Comment 5 Alvaro Lopez Ortega 2013-12-03 12:55:47 EST
WIP. Patch needs to be rebased.
Comment 6 Lon Hohberger 2013-12-05 09:35:25 EST
Bug 1026795 is the RHOS 4 clone of this one; removing 4.0 target.
Comment 9 Ivan Chavero 2014-01-22 11:26:06 EST
patch backported to grizzly https://review.openstack.org/#/c/68426/ waiting for approval
Comment 11 Scott Lewis 2014-08-01 08:52:36 EDT
In accordance with the Red Hat Enterprise Linux OpenStack Platform Support
Policy, the one-year life cycle of Production Support for version 3 will
end on July 31, 2014. On August 1, 2014, Red Hat Enterprise Linux OpenStack
Platform version 3 will enter an inactive state and will no longer receive
updated packages, including Critical-impact security patches or
urgent-priority bug fixes. In addition, technical support through Red Hat's
Global Support Services will no longer be provided after this date.

We encourage customers to plan their migration from Red Hat Enterprise
Linux OpenStack Platform 3.0 to a supported version of Red Hat Enterprise
Linux OpenStack Platform. To upgrade to Red Hat Enterprise Linux OpenStack
Platform version 4, see Chapter "Upgrading" in the Release Notes document
linked to in the References section.

Full details of the Red Hat Enterprise Linux OpenStack Platform Life Cycle
can be found at
https://access.redhat.com/support/policy/updates/openstack/platform/

https://rhn.redhat.com/errata/RHSA-2014-0995.html

Note You need to log in before you can comment on or make changes to this bug.